Issue 77717 - RPT: Control "Fixed Line" doesn't work as expected for lines
Summary: RPT: Control "Fixed Line" doesn't work as expected for lines
Status: CONFIRMED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: All Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2007-05-23 14:49 UTC by Regina Henschel
Modified: 2013-08-07 15:45 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
sample document (141.53 KB, text/plain)
2008-11-05 14:06 UTC, Frank Schönheit
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2007-05-23 14:49:25 UTC
If you increase the height of a horizontal line, you expect, that you get a
thicker line. That works so in draw, impress, writer and calc. But when you do
it in the report design, the line stays thin and only the control gets wider.
I know, that this is similar to the element in Basic dialogs, but a "normal"
user don't know that Basic dialogs, but only the drawing line and will be confused.
Therefore change this element in the way, that you can set the thickness of that
line instead of setting the control area.
Another solution would be to drop this element and generate a custom shape "line".
Comment 1 Regina Henschel 2007-05-23 14:50:41 UTC
setting keywords, reset Target milestone to --
Comment 2 Frank Schönheit 2007-05-23 14:56:15 UTC
<cite>
User regina changed the following:

                What    |Old value                 |New value
================================================================================
                Keywords|                          |new_implementation, oooqa
--------------------------------------------------------------------------------
        Target milestone|not determined            |---
--------------------------------------------------------------------------------
</cite>

*g*

Thanks for submission, added issue to CWS.
Comment 3 marc.neumann 2007-05-29 10:24:56 UTC
confirm and reassign to the right developer
Comment 4 Frank Schönheit 2007-05-29 19:36:54 UTC
The Report Designer iTeam decided that this is no show stopper for the first
release, and no "should be fixed if possible at all". targeting to "not
determined" for the moment.
Comment 5 Frank Schönheit 2008-11-05 14:04:55 UTC
We have some dead corpses in the basement, it seems. We should reconsider this
issue, and discuss its priority.
Comment 6 Frank Schönheit 2008-11-05 14:06:23 UTC
Created attachment 57715 [details]
sample document
Comment 7 Frank Schönheit 2008-11-05 14:07:43 UTC
The attached sample document shows another severe problem with horizontal lines:
They behave different in design than in the created report. That is, in the
design, the actual line is always in the middle of the respective area. In the
generated report, it is at the bottom, which is far from WYSIWYG.